//+------------------------------------------------------------------+
//|                                                  Hart Attack.mq4 |
//|                                                 Leslie J Bateman |
//|                                                                  |
//+------------------------------------------------------------------+                                                                  |
//|HISTORY    VERSION   AMENDMENTS                                   |
//|22-8-2010  1.1       Pending order with Close[1]                  |
//|30-8-2010  1.2       Using StartStraddleHHMM Time or open         |
//|                                                                  |
//|                                                                  |
//+------------------------------------------------------------------+
#property copyright "Leslie J Bateman"
#property link      ""
//#include <stdlib.mqh>
#include <WinUser32.mqh>
//+-------------------------------------------------------------------
//Global Variables
int BuyTicket;
int SellTicket;
double UsePoint;
int UseSlippage;                       //are these all GV's
datetime CurrentTimeStamp;             // what is current time stamp 
//int CurrentTimeHHMM;
//+-------------------------------------------------------------------
//External Variables
extern int     StartStraddleHHMM =      2300;                // 09:00 Sydney
extern int     ClosePendingOrdersHHMM = 0400;                // 05:00 Sydney
extern int     BuyStop =                15;                   // 
extern int     BuyStopLoss =            6;                    // 
extern int     SellStop =               15;                   //
extern int     SellStopLoss =           6;                    //
extern bool    BreakEven =              true;                 //
extern int     MagicNumber =            369;
//extern double  BreakEvenPips =          TrailingStopPips;/3   //   

extern int     TrailingStopPips =       20;                   //
extern int     BuyTakeProfit =          500;                  //
extern double  LotSize =                1;                    //
extern int     AccountMarginPercent =   2;                    //
extern int     MaxSpread =              5;                    // 
extern int     Slippage =               3;                    //
extern bool    TradeAlert =             true;                 //
extern bool    TrailingStopAlert =      true;                 // sounds when trailing stop activates

//-------------------------------------------------------------------
// Init Special Function 
int init()
  {
   UsePoint = PipPoint(Symbol());                             //
   UseSlippage = GetSlippage(Symbol(),Slippage);              // do these go in the init function 
   CurrentTimeStamp = Time[0];                                // Time[0]
   
   }
//-------------------------------------------------------------------
// Start Function                                  |
int start()
//Buy Order
   {
   int HH = Hour();
   int MM = Minute();
    
   int CurrentTimeHHMM = (HH * 100 + MM);
   if (CurrentTimeHHMM == StartStraddleHHMM)
      {
      double OpenPrice = Close[1] + (BuyStop * UsePoint);    //
      Alert ("CurrentTimeHHMM = ", HH*100+MM);
      }
    }       
//-------------------------------------------------------------------
// Order Send
   {
   BuyTicket = OrderSend(Symbol(),OP_BUYSTOP,LotSize,OpenPrice,UseSlippage,BuyStopLoss,BuyTakeProfit,"Buy Order",MagicNumber,0,Green);
   SellTicket = 0;
   }
//------------------------------------------------------------------
// Pip Point Function
double PipPoint(string Currency)
   {
   int CalcDigits = MarketInfo(Currency,MODE_DIGITS);
   if (CalcDigits == 2 || CalcDigits == 3) double CalcPoint = 0.01;
   else if(CalcDigits == 4 || CalcDigits == 5) CalcPoint = 0.0001;
   return (CalcPoint); // CalcPoint will have a value of 0.01 or 0.0001 it will be a value assigbned to the PipPoint(string,currency) variable
   }
//-----------------------------------------------------------------
//Get Slippage function
int GetSlippage(string Currency, int SlippagePips)
   {
   int CalcDigits = MarketInfo(Currency,MODE_DIGITS);
   if (CalcDigits == 2 || CalcDigits == 4) double CalcSlippage = SlippagePips;
   else if(CalcDigits == 4 || CalcDigits == 5) CalcSlippage = SlippagePips * 10;
   return (CalcSlippage);
   }
//-----------------------------------------------------------------
   